/* eslint-disable no-restricted-imports */
import type { Entry } from "../utils";
import { findOneEntry } from "../utils";

export const deleteEntityOnWorkflowTable = async (arg: Entry) => {
	const { uid: slug, id: collectionId } = arg;
	const entry = await findOneEntry({ uid: slug, id: collectionId ?? "" });
	const hasEntry = Object.keys(entry).length > 0;
	return hasEntry
		? strapi.entityService.delete("plugin::review-workflow.workflow", entry.id)
		: null;
};
